/* Sebworld fix */
header .wp-block-navigation > ul.wp-block-navigation__container {
    position: relative;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-item {
    position: static;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-item
    > ul.wp-block-navigation__submenu-container {
    display: flex; /* For Dev Mode - change to flex */
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-submenu {
    flex: 1 1 0;
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    height: stretch;
    padding: 0 3% 2rem 3%;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-submenu:nth-of-type(1) {
    flex-basis: calc((100% / 3) * 2);
    max-width: calc((100% / 3) * 2);
    border-right: 1px solid #000;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-submenu:nth-of-type(2) {
    flex-basis: calc((100% / 3) * 1);
    max-width: calc((100% / 3) * 1);
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-item {
    break-inside: avoid;
    page-break-inside: avoid;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 1rem;
    text-wrap: wrap;
    width: 100%;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-item
    > ul.wp-block-navigation__submenu-container {
    min-width: unset !important;
}

header
    .wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-submenu
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-submenu
    ul.wp-block-navigation__submenu-container {
    display: block !important;
    left: unset !important;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-item
    > a.wp-block-navigation-item__content {
    font-size: 1.25rem;
    font-weight: normal;
    cursor: pointer;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-item
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-item
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-item:has(ul)
    > .wp-block-navigation-item__content {
    font-size: 1rem;
    padding: 0;
    margin-bottom: 0.625rem;
    border: 0;
}

header .wp-block-navigation .wp-block-acf-menulink {
    font-size: 0.85rem;
    font-weight: normal;
    color: #666;
    padding: 0;
}

/* Hide Submenu Icon */
.wp-block-navigation .wp-block-navigation__submenu-icon {
    display: none;
}

/* Submenu Headlines */
header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-item
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-item
    > span.wp-block-navigation-item__content
    > span {
    display: block;
    font-size: 0.875rem;
    font-weight: 700;
    padding: 1rem 0;
    text-transform: uppercase;
}

header
    nav.wp-block-navigation
    > ul.wp-block-navigation__container
    > li.wp-block-navigation-item
    > ul.wp-block-navigation__submenu-container
    > li.wp-block-navigation-item
    > span.wp-block-navigation-item__content:hover
    > span {
    color: inherit;
}

/* needs to be checked if needed */

@media only screen and (max-width: 989px) {
    /* HOVER DISABLE */
    .wp-block-navigation-item.wp-block-navigation-submenu:hover > ul {
        display: none;
    }
    /* .wp-block-navigation-submenu__toggle.visible + ul {
        display: block;
    } */
}

@media only screen and (min-width: 990px) {
    .wp-block-navigation {
        flex-direction: row;
        width: auto;
    }
    .wp-block-navigation .wp-block-navigation-item {
        width: auto;
    }
    .wp-block-navigation ul > li > a {
        padding: 0;
        border: 0;
    }
    .wp-block-navigation ul:not(.wp-block-navigation__submenu-container) {
        flex-direction: row;
    }
    .wp-block-navigation
        ul:not(.wp-block-navigation__submenu-container)
        > li.wp-block-navigation-submenu:hover {
        color: var(--wp--preset--color--orange);
    }
    .wp-block-navigation
        ul:not(.wp-block-navigation__submenu-container)
        > li.wp-block-navigation-submenu:hover
        button {
        background-color: var(--wp--preset--color--orange);
    }

    header
        .wp-block-navigation
        ul:not(.wp-block-navigation__submenu-container)
        > li
        > a {
        padding: 14px 15px;
        border: 0;
    }
    header
        .wp-block-navigation__container
        > .wp-block-navigation-item
        > ul.wp-block-navigation__submenu-container {
        position: absolute !important;
        width: 100% !important;
        height: auto;
        max-height: calc(90vh - 75px) !important;
        top: 100%;
        left: 0% !important;
        right: 0% !important;
        flex-direction: row;
        border-radius: 0;
        padding: 0;
        background: #fff;
        box-shadow: 0px 10px 30px -10px rgba(0, 0, 0, 0.2);
        border-top: 1px solid #000 !important;
    }
    .wp-block-navigation
        > ul.wp-block-navigation__container
        > li.wp-block-navigation-submenu:hover
        > ul.wp-block-navigation__submenu-container {
        display: flex !important;
    }

    .wp-block-navigation
        > ul.wp-block-navigation__container
        > li.wp-block-navigation-submenu
        > ul.wp-block-navigation__submenu-container
        > li.wp-block-navigation-submenu
        ul.wp-block-navigation__submenu-container {
        display: block !important;
    }

    .wp-block-navigation
        > ul.wp-block-navigation__container
        > li.wp-block-navigation-submenu
        > ul.wp-block-navigation__submenu-container
        > li.wp-block-navigation-submenu:nth-of-type(1)
        > ul.wp-block-navigation__submenu-container {
        column-count: 5;
    }

    .wp-block-navigation
        > ul.wp-block-navigation__container
        > li.wp-block-navigation-submenu
        > ul.wp-block-navigation__submenu-container
        > li.wp-block-navigation-submenu:nth-of-type(2)
        > ul.wp-block-navigation__submenu-container {
        column-count: 2;
        min-width: 100% !important;
    }

    .wp-block-navigation ul.wp-block-navigation__submenu-container > li > a {
        border-bottom: 0;
    }
    .wp-block-navigation ul > li:last-child > a {
        border-bottom: none;
    }
    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        > .wp-block-navigation-item
        > .wp-block-navigation-item__content {
        padding-top: 0;
    }
    .wp-block-navigation .wp-block-buttons {
        margin-left: 0;
        margin-bottom: 0;
    }

    .wp-block-navigation ul.wp-block-navigation__submenu-container .menulink {
        max-width: unset;
        display: flex;
        flex-direction: column;
        align-items: flex-start !important;
        gap: 0.5rem !important;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        .menulink
        .menulink_item
        a,
    .wp-block-navigation ul.wp-block-navigation__submenu-container > li > a,
    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container:not(:has(ul))
        > .wp-block-navigation-item
        > .wp-block-navigation-item__content {
        padding: 0.125rem 0.5rem 0.125rem 0;
        font-weight: 400;
        font-size: var(--wp--preset--font-size--x-small);
        gap: 0.75rem;
        align-items: flex-start;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container:not(:has(ul))
        > .wp-block-navigation-item
        > .wp-block-navigation-item__content
        .wp-block-navigation-item__label {
        padding-left: 0.5rem;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        .menulink
        .menulink_item
        a:hover,
    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        > li:not(:has(ul))
        > a:hover {
        background: var(--wp--preset--color--lightest-orange);
        color: inherit;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        .wp-block-navigation__submenu-container {
        position: relative !important;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        > li
        > a {
        flex: unset !important;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        li
        button {
        display: none;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        > .wp-block-navigation-item
        > .wp-block-navigation-item__content {
        font-weight: 400;
        width: max-content;
    }

    .wp-block-navigation
        .wp-block-navigation-submenu
        .wp-block-navigation__submenu-container
        > .wp-block-navigation-item:has(ul)
        > .wp-block-navigation-item__content {
        font-size: 1rem;
        font-weight: 700;
        width: max-content;
    }

    header
        .wp-block-navigation
        ul.wp-block-navigation__submenu-container
        ul.wp-block-navigation__submenu-container {
        flex-direction: column;
        box-shadow: none;
    }
}
